# Humanus.cpp Docker 开发环境

本文件提供了使用Docker环境进行Humanus.cpp开发的快速指南。

## 快速开始

### 启动开发环境

```bash
# 使用便捷脚本启动开发环境
./.devops/scripts/start-dev.sh
```

所有依赖（包括C++工具链、Node.js和npm）已预装在镜像中，无需额外设置。

### 在容器内构建项目

```bash
# 使用便捷脚本构建项目
./.devops/scripts/build-project.sh
```

### 停止开发环境

```bash
# 使用便捷脚本停止开发环境
./.devops/scripts/stop-dev.sh
```

## 优点

- **多阶段构建**：优化镜像大小，只包含必要组件
- **预装依赖**：所有必要的工具和库（包括Node.js和npm包）都已预装
- **简化开发**：无需手动设置环境，直接开始开发
- **稳定可靠**：使用Ubuntu 20.04作为基础镜像
- **高效脚本**：提供便捷脚本，无需记忆Docker命令

## 详细说明

有关Docker开发环境的详细说明，包括多阶段构建的优势，请参考 [.devops/DOCKER_README.md](.devops/DOCKER_README.md) 文件。 